<?php 

/* 
Widget Name: Social Connections 
Version: 1.0 
Description: Creates an unordered lists with links to social profiles. 
Author: Dumitru Brinzan
Author URI: http://www.brinzan.net
Developed for: WPZOOM (http://www.wpzoom.com)
*/ 	

function connectWithMe($args) {

  extract($args);
	$settings = get_option( 'widget_social_connect' );
  
  echo $before_widget;
  
?>
		<ul class="socialList">
				<?php if ($settings[ 'facebook' ] != '') echo"<li class=\"facebook\"><a href=\"$settings[facebook]\">Facebook</a></li>"; ?>
				<?php if ($settings[ 'flickr' ] != '') echo"<li class=\"flickr\"><a href=\"$settings[flickr]\">FlickR</a></li>"; ?>
				<?php if ($settings[ 'linkedin' ] != '') echo"<li class=\"linkedin\"><a href=\"$settings[linkedin]\">LinkedIn</a></li>"; ?>
				<?php if ($settings[ 'picasa' ] != '') echo"<li class=\"picasa\"><a href=\"$settings[picasa]\">Picasa</a></li>"; ?>
				<?php if ($settings[ 'twitter' ] != '') echo"<li class=\"twitter\"><a href=\"$settings[twitter]\">Twitter</a></li>"; ?>
		</ul>
		<div class="cleaner">&nbsp;</div>
<?php
  echo $after_widget;

}

function connectWithMe_admin() {
	$settings = get_option( 'widget_social_connect' );
	
	if( isset( $_POST[ 'update_social_connect' ] ) ) {
		$settings[ 'facebook' ] = strip_tags( stripslashes( $_POST[ 'widget_social_connect_facebook' ] ) );
		$settings[ 'flickr' ] = strip_tags( stripslashes( $_POST[ 'widget_social_connect_flickr' ] ) );
		$settings[ 'linkedin' ] = strip_tags( stripslashes( $_POST[ 'widget_social_connect_linkedin' ] ) );
		$settings[ 'twitter' ] = strip_tags( stripslashes( $_POST[ 'widget_social_connect_twitter' ] ) );
		$settings[ 'picasa' ] = strip_tags( stripslashes( $_POST[ 'widget_social_connect_picasa' ] ) );
		update_option( 'widget_social_connect', $settings );
	}

?>
	<p>
		<label for="widget_social_connect_facebook">Facebook Full URL</label><br />
		<input type="text" id="widget_social_connect_facebook" name="widget_social_connect_facebook" value="<?php echo $settings['facebook']; ?>" size="40" /><br />
		<label for="widget_social_connect_flickr">FlickR Full URL</label><br />
		<input type="text" id="widget_social_connect_flickr" name="widget_social_connect_flickr" value="<?php echo $settings['flickr']; ?>" size="40" /><br />
		<label for="widget_social_connect_linkedin">LinkedIn Full URL</label><br />
		<input type="text" id="widget_social_connect_linkedin" name="widget_social_connect_linkedin" value="<?php echo $settings['linkedin']; ?>" size="40" /><br />
		<label for="widget_social_connect_picasa">Picasa Full URL</label><br />
		<input type="text" id="widget_social_connect_picasa" name="widget_social_connect_picasa" value="<?php echo $settings['picasa']; ?>" size="40" /><br />
		<label for="widget_social_connect_twitter">Twitter Full URL</label><br />
		<input type="text" id="widget_social_connect_twitter" name="widget_social_connect_twitter" value="<?php echo $settings['twitter']; ?>" size="40" /><br />
	</p>
	<input type="hidden" id="update_social_connect" name="update_social_connect" value="1" />
<?php }

/* 
Function Name: getPages 
Version: 1.0 
Description: Gets the list of pages. Represents a workaround for the get_categories bug in WP 2.8 
Author: Dumitru Brinzan
Author URI: http://www.brinzan.net 
*/ 

function getPages() {

	global $wpdb, $table_prefix;
	
	$tb1 = "$table_prefix"."posts";
  
	$q = "SELECT $tb1.ID,$tb1.post_title FROM $tb1 WHERE $tb1.post_type = 'page' AND $tb1.post_status = 'publish' ORDER BY $tb1.post_title ASC";
	$q = $wpdb->get_results($q);
	
  foreach ($q as $pag) {
    	$pages[$pag->ID] = $pag->post_title;
    } // foreach
  return($pages);
} // end func
		
	
$functions_path = TEMPLATEPATH . '/admin_setup/';
require_once ($functions_path . 'admin_functions.php');

add_action('admin_menu', 'wpzoom_add_admin');

register_sidebar_widget( 'FT: Social Connections', 'connectWithMe' );
register_widget_control( 'FT: Social Connections', 'connectWithMe_admin', 300, 200 );

if ( function_exists('register_sidebar') )

register_sidebar(array('name'=>'Sidebar: Bottom Wide',
'before_widget' => '<div class="widget">',
'after_widget' => '</div><div class="cleaner">&nbsp;</div>',
'before_title' => '<p class="header">',
'after_title' => '</p>',
));
?>